Loading...
Searching...
No Matches
lime::Xpair< Curve > Class Template Reference

Key pair structure for key exchange algorithm. More...

`#include <lime_crypto_primitives.hpp>`

## Public Member Functions

X< Curve, lime::Xtype::privateKey > & | privateKey (void)
| access the private key
X< Curve, lime::Xtype::publicKey > & | publicKey (void)
| access the public key
| Xpair (X< Curve, lime::Xtype::publicKey > &pub, X< Curve, lime::Xtype::privateKey > &priv)
| copy construct a key pair from public and private keys (no verification on validity of keys is performed)
| Xpair ()
bool | operator== (Xpair< Curve > b) const
| == operator assert that public and private keys are the same

## Detailed Description

template<typename Curve>
class lime::Xpair< Curve >

Key pair structure for key exchange algorithm.

## Constructor & Destructor Documentation

## Xpair() [1/2]

template<typename Curve>

lime::Xpair< Curve >::Xpair | ( | X< Curve, lime::Xtype::publicKey > & | pub,
|  | X< Curve, lime::Xtype::privateKey > & | priv )

inline

copy construct a key pair from public and private keys (no verification on validity of keys is performed)

## Xpair() [2/2]

template<typename Curve>

lime::Xpair< Curve >::Xpair | ( |  | ) |

inline

## Member Function Documentation

## operator==()

template<typename Curve>

bool lime::Xpair< Curve >::operator== | ( | Xpair< Curve > | b | ) | const

inline

== operator assert that public and private keys are the same

## privateKey()

template<typename Curve>

X< Curve, lime::Xtype::privateKey > & lime::Xpair< Curve >::privateKey | ( | void |  | ) |

inline

access the private key

## publicKey()

template<typename Curve>

X< Curve, lime::Xtype::publicKey > & lime::Xpair< Curve >::publicKey | ( | void |  | ) |

inline

access the public key

The documentation for this class was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/lime_crypto_primitives.hpp